Subject: TG delay objects

From: "R.E. (Robert) Moore (254-4436)" <[email-masked]>
Date: Fri, 19 Jan 96 14:32:50 EST

Mark Regan's comments about the different UNITS for the delay objects
pointed out a problem that was introduced when I re-did the TG delay
objects for the -02 version of the MIB.  Before, the six common values
(minimum, negligible, etc.) were represented as named numbers, which
meant that the objects could take on only on of these six values.
This wasn't right, since APPN allowed other values as well in a TDU.
Consequently, I moved these six values to the DESCRIPTION text as
*examples*, but in doing do I inadvertently changed the syntax of the
objects!

Previously, the objects contained the normal integer values for the
delays, measured in microseconds:

-- from appn-mib-01.txt
appnNodeLsDelay  OBJECT-TYPE
      SYNTAX INTEGER {
                     minimum(0),                 --X'00'
                     negligible(384),            --X'4C'
                     terrestrial(9216),          --X'71'
                     packet(147456),             --X'91'
                     long(294912),               --X'99'
                     maximum(2013265920)         --X'FF'
                      }

Note that the named numbers are the actual number of microseconds, and
the corresponding TDU encodings are comments.

In the new version, however, the object contains the TDU encoding, since
I made the range (0..255) rather than (0..2013265920):

-- from appn-mib-02.txt
appnNodeLsDelay  OBJECT-TYPE
      SYNTAX INTEGER (0..255)
      MAX-ACCESS read-only
      STATUS current
      DESCRIPTION
           "Relative amount of time that it takes for a signal to
            travel the length of the logical link.  This time is
            represented in micro seconds, with some of the more
            common values, along with their encoded hex values as
            they flow in topology updates, being:

                     minimum(0),                 X'00'
                     negligible(384),            X'4C'
                     terrestrial(9216),          X'71'
                     packet(147456),             X'91'
                     long(294912),               X'99'
                     maximum(2013265920)         X'FF'

            This is an administratively assigned value associated
            with the TG using this link station."

I think we should go back to the original encoding for these objects,
by replacing (0..255) with (0..2013265920).  Otherwise we'll be asking a
Management Station to understand and convert the native TDU encoding.

This change will have the additional benefit of making Mark's UNITS
"microseconds" correct.  As it is now, I'm not sure what the UNITS
are -- "strangely-encoded microseconds"???

So far as having the link delay units match these, I could go either
way.  I suspect that they were defined as milliseconds because that
gives nice, manageable numbers for most links.

Bob Moore